/* =============================================== */
/* CSS for control sap.ui.unified/Calendar.control */
/* Goldreflection                                  */
/* =============================================== */

.sapUiCal{
	border-width: 4px 2px 0 2px;
	border-style: solid;
	border-color: @sapUiFieldBackground;
}

.sapUiCal:not(.sapUiCalInt){
	width: 198px;
	min-width: 198px;
}

.sapUiCalMulti:not(.sapUiCalInt){
	width: 392px; /* to display 2 months side by side as default */
}

/* calendar should have only a border if on popup */
.sapUiCal.sapUiShd{
	border: 0.0625rem solid @sapUiFieldBorderColor;
	width: 196px;
	min-width: 196px;
}

.sapUiCalMulti{
	max-width: 776px; /* maximal 4 months in one row */
}

/*** HEADER ***/
.sapUiCalHead{
	padding-bottom: 9px;
	height: 22px;
}

.sapUiCalHead > button{
	height: 22px;
	padding: 0;
}

.sapUiCalHeadPrev,
.sapUiCalHeadNext{
	width: 22px;
	padding-top: 2px; /* to set arrows in middle */
}

.sapUiCal .sapUiCalHeadPrev{
	left: 2px;
}

.sapUiCal .sapUiCalHeadNext{
	right: 2px;
}

.sapUiCalHeadB{
	width: 70px;
	font-weight: bold;
}

.sapUiCalMulti .sapUiCalHeadB1,
.sapUiCalIntLarge .sapUiCalHeadB1,
.sapUiCalMonthInt .sapUiCalHeadB2{
	width: 150px;
}

/*** days, months, years ***/
.sapUiCalMonthView,
.sapUiCalMonthPicker,
.sapUiCalYearPicker{
	width: 190px;
}

.sapUiCalMonthView,
.sapUiCalMonthPicker,
.sapUiCalYearPicker,
.sapUiCalRow{
	background-color: @sapUiFieldBackground;
}

.sapUiCalHeadText{
	height: 24px;
	line-height: 22px;
	color: @sapUiHighlight;
}

.sapUiCal .sapUiCalMonthView,
.sapUiCal .sapUiCalRow{
	border-width: 0 2px 4px 2px;
	border-style: solid;
	border-color: @sapUiFieldBackground;
}

.sapUiCalWH,
.sapUiCalItem,
.sapUiCalWeekNum{
	border: 1px solid @sapUiFieldBackground;
	box-sizing: border-box;
}

.sapUiCalWH,
.sapUiCalItem,
.sapUiCalWeekNum{
	height: 24px;
	line-height: 22px;
}

.sapUiCalItemText{
	border: 1px solid transparent;
	box-sizing: border-box;
}

.sapUiCalWeekNum{
	top: -1px;
	padding-top: 1px;
	color: @sapUiHighlight;
	font-size: 11px;
	font-weight: bold;
	line-height: 22px;
}

.sapUiCalWH{
	color: @sapUiHighlight;
	font-size: 11px;
	font-weight: bold;
}

.sapUiCalItem{
	background-color: @sapUiExtraLightBG;
	color: @sapUiDeepText;
}

.sapUiCalItemDsbl{
	color: fade(@sapUiDeepText, 50);
	background-color: fade(@sapUiExtraLightBG, 50);
}

/* hover and focus makes only sense on desktops. On mobile devices it's not needed */
html.sap-desktop .sapUiCalItem:hover,
html.sap-desktop .sapUiCalItem:focus{
	background-color: @sapUiHighlight;
	color: @sapUiTextSelection;
}

html.sap-desktop .sapUiCalItem:focus{
	outline: none;
}

.sapUiCalItemOtherMonth{
	color: @sapUiLightText;
}

.sapUiCalItemNow > .sapUiCalItemText{
	background-color: @sapUiFieldBackground;
	border-color: @sapUiCalendarColorToday;
	box-shadow: inset 1px 1px 0 1px @sapUiCalendarColorToday, inset -1px -1px 0 1px @sapUiCalendarColorToday;
}

html.sap-desktop .sapUiCalItemNow:hover > .sapUiCalItemText,
html.sap-desktop .sapUiCalItemNow:focus > .sapUiCalItemText{
	background-color: @sapUiHighlight;
}

.sapUiCalItemWeekEnd{
	background-color: @sapUiLightBG;
}

.sapUiCalItemWeekEnd.sapUiCalItemDsbl{
	background-color: fade(@sapUiLightBG, 50);
}

.sapUiCalItemSel{
	background-color: @sapUiFieldBackground;
}

.sapUiCalItemSel > .sapUiCalItemText{
	border-color: @sapUiButtonHoverBackground;
}

html.sap-desktop .sapUiCalItemSel:not(.sapUiCalItemNow):hover > .sapUiCalItemText,
html.sap-desktop .sapUiCalItemSel:not(.sapUiCalItemNow):focus > .sapUiCalItemText{
	box-shadow: inset 1px 1px 0 0 @sapUiFieldBackground, inset -1px -1px 0 0 @sapUiFieldBackground;
}

.sapUiCalContentOver{
	background-color: @sapUiBlackBG;
	opacity: 0.4;
	filter: alpha(opacity=40);
}

.sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalContent > .sapUiCalYearPicker{
	top: 0;
	padding: 24px 2px 4px 2px;
	background-color: @sapUiFieldBackground;
	left: 50%;
	margin-left: -97px; /* to position in the middle (for multi-month) */
}

.sapUiCalInt > .sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalInt > .sapUiCalContent > .sapUiCalYearPicker{
	margin-left: 0;
	left: 0;
	padding-bottom: 0;
}

.sapUiCalTimeInt > .sapUiCalContent > .sapUiCalDatesRow{
	top: 0;
}

.sapUiCalTimeInt > .sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalTimeInt > .sapUiCalContent > .sapUiCalYearPicker,
.sapUiCalMonthInt > .sapUiCalContent > .sapUiCalYearPicker{
	padding-top: 0;
}

.sapUiCalInt.sapUiCalIntHead > .sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalInt.sapUiCalIntHead > .sapUiCalContent > .sapUiCalYearPicker{
	padding-top: 48px;
}

.sapUiCalTimeInt.sapUiCalIntHead > .sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalTimeInt.sapUiCalIntHead > .sapUiCalContent > .sapUiCalYearPicker,
.sapUiCalTimeInt.sapUiCalIntHead > .sapUiCalContent > .sapUiCalDatesRow,
.sapUiCalMonthInt.sapUiCalIntHead > .sapUiCalContent > .sapUiCalYearPicker{
	padding-top: 24px;
}

.sapUiCalWidth:not(.sapUiCalInt) > .sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalWidth:not(.sapUiCalInt) > .sapUiCalContent > .sapUiCalYearPicker,
.sapUiCalMulti > .sapUiCalContent > .sapUiCalMonthPicker,
.sapUiCalMulti > .sapUiCalContent > .sapUiCalYearPicker{
	top: 20px;
	bottom: auto;
	padding: 4px;
	margin-left: -99px;
}

.sapUiCalContent > .sapUiCalYears.sapUiCalYearNoTop{
	padding-top: 0;
}

.sapUiCalWidth:not(.sapUiCalInt) > .sapUiCalContent > .sapUiCalYearPicker.sapUiCalYearNoTop{
	top: 0;
}

.sapUiCalMonthPicker .sapUiCalItem,
.sapUiCalYearPicker .sapUiCalItem{
	padding: 0 4px;
	overflow: hidden;
	height: 24px;
	line-height: 22px;
}

.sapUiCalMonthPicker .sapUiCalItemSel,
.sapUiCalYearPicker .sapUiCalItemSel{
	box-shadow: inset 1px 1px 0 0 @sapUiButtonHoverBackground, inset -1px -1px 0 0 @sapUiButtonHoverBackground;
}

/* Day names inside day */
.sapUiCalNoNameLine > .sapUiCalItems > .sapUiCalItem > .sapUiCalItemText{
	padding-left: 50%;
	text-align: left;
}

.sapUiCalNoNameLine > .sapUiCalItems > .sapUiCalItem > .sapUiCalDayName{
	left: 0;
	height: 100%;
	width: 50%;
	line-height: inherit;
	padding-right: 0.5rem;
	padding-top: 1px;
	padding-bottom: 1px;
	text-align: right;
	box-sizing: border-box;
}

.sapUiCalNoNameLine > .sapUiCalItems > .sapUiCalItem:focus > .sapUiCalDayName,
.sapUiCalNoNameLine > .sapUiCalItems > .sapUiCalItem:hover > .sapUiCalDayName{
	color: @sapUiTextInverted;
}

/* 2 calendar types */
.sapUiCalMonthSecType > .sapUiCalItems .sapUiCalItem  > .sapUiCalItemText{
	line-height: 20px;
	vertical-align: top;
	text-align: start;
}

.sapUiCalMonthSecType > .sapUiCalItems .sapUiCalItem > .sapUiCalItemSecText{
	font-size: 8px;
	height: 8px;
	line-height: 8px;
	padding-right: 1px;
	padding-bottom: 1px;
	box-sizing: border-box;
}

.sapUiCalMonthSecType > .sapUiCalItems .sapUiCalItem.sapUiCalItemSel:not(.sapUiCalItemSelBetween) > .sapUiCalItemSecText{
	color: @sapUiTextInverted;
}